package be.iminds.ilabt.jfed.git;

import org.testng.annotations.Test;

import static org.testng.Assert.assertFalse;
import static org.testng.Assert.assertTrue;

public class GitAuthPreferencesTest {

    @Test
    public void testUrlMatchesAuth1() {
        assertFalse(GitAuthPreferences.urlMatchesAuth(GitAuthPreferences.GitAuthMethod.SSH, "https://example/com/example/example.git"));
        assertTrue(GitAuthPreferences.urlMatchesAuth(GitAuthPreferences.GitAuthMethod.USER_PASS, "https://example/com/example/example.git"));
        assertTrue(GitAuthPreferences.urlMatchesAuth(GitAuthPreferences.GitAuthMethod.OAUTH, "https://example/com/example/example.git"));
    }
    @Test
    public void testUrlMatchesAuth2() {
        assertTrue(GitAuthPreferences.urlMatchesAuth(GitAuthPreferences.GitAuthMethod.SSH, "git@github.example.com:example/example.git"));
        assertFalse(GitAuthPreferences.urlMatchesAuth(GitAuthPreferences.GitAuthMethod.USER_PASS, "git@github.example.com:example/example.git"));
        assertFalse(GitAuthPreferences.urlMatchesAuth(GitAuthPreferences.GitAuthMethod.OAUTH, "git@github.example.com:example/example.git"));
    }
}